Skip to main content
GET
/
api
/
v3
/
kyc
/
integrator
/
users
Get Integrator Kyc Users
curl --request GET \
  --url https://preview.kotanipay.com/api/v3/kyc/integrator/users \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Successfully retrieved kyc users",
  "data": [
    {
      "kycId": "<string>",
      "kycVerified": true,
      "basicDetails": {
        "userEmail": "<string>",
        "customerKey": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "dob": "<string>",
        "gender": "M",
        "country": "<string>",
        "phone": "<string>"
      },
      "address": {
        "kycId": "<string>",
        "street": "<string>",
        "town": "<string>",
        "country": "<string>"
      },
      "document": {
        "kycId": "<string>",
        "nationality": "<string>",
        "documentNo": "<string>",
        "documentExpirationDate": "<string>",
        "country": "<string>",
        "documentName": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt

Use this file to discover all available pages before exploring further.

Get all KYC users associated with your integrator account.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

success
boolean
Example:

true

message
string
Example:

"Successfully retrieved kyc users"

data
object[]